.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.small-text {
  font-size: 11px;
}

.italic {
  font-style: italic;
  font-size: 12px;
}

.justify-content-center {
  justify-content: center !important;
}

.justify-content-end {
  justify-content: flex-end !important;
}

.justify-content-space-between {
  justify-content: space-between !important;
}

.align-items-center {
  align-items: center !important;
}

.d-flex {
  display: flex !important;
}

.d-inline-block {
  display: inline-block;
}

.d-block {
  display: block !important;
}

.color-blue {
  color: $brand-primary;
}

.color-green {
  color: $brand-color-2 !important;
}

.color-red {
  color: #d74664 !important;
}

.color-gray {
  color: $gray-4;
}

.icon-size-30 {
  width: 30px;
  height: 30px;
}

.blue-cover-bg {
  background: $brand-primary;
  background: linear-gradient(45deg, #3f48d5 0%, #3970df 100%);
  overflow: hidden;

  i {
    color: #fff;
    font-size: 46px !important;
  }

  .blurd {
    width: calc(100% + 40px);
    margin: 0 -20px;
    filter: blur(5px);
  }
}

.f-w {
  width: 100%;
}

.fl {
  float: left;
}

.fr {
  float: right;
}

.horizontal-separator {
  border-right: 1px solid #eee;
}

.larger-text {
  h3 {
    font-size: 18px;
    font-weight: bold;
  }

  p {
    font-size: 18px;
  }
}

.mx-center {
  margin-left: auto;
  margin-right: auto;
}

.gutter-30 {
  > div {
    padding: 0 15px;
  }
}

.bold {
  font-weight: bold;
}

$spaceamounts: (0, 4, 5, 10, 15, 20, 25, 30, 35, 40, 45, 50, 75, 100);
$sides: (top, bottom, left, right);

@mixin generate-margins {
  @each $space in $spaceamounts {
    @each $side in $sides {
      .m#{str-slice($side, 0, 1)}-#{$space} {
        margin-#{$side}: #{$space}px !important;
      }

      .p#{str-slice($side, 0, 1)}-#{$space} {
        padding-#{$side}: #{$space}px !important;
      }
    }
  }
}
@include generate-margins();

.px-15 {
  padding-left: 15px;
  padding-right: 15px;
}

.px-20 {
  padding-left: 20px;
  padding-right: 20px;
}

.px-30 {
  padding-left: 30px;
  padding-right: 30px;
}

.py-10 {
  padding-top: 10px !important;
  padding-bottom: 10px !important;
}

.py-20 {
  padding-top: 20px !important;
  padding-bottom: 20px !important;
}

.py-30 {
  padding-top: 30px;
  padding-bottom: 30px;
}

.my-10 {
  margin-top: 10px;
  margin-bottom: 10px;
}

.no-padding {
  padding: 0 !important;
}

.pa-tl {
  position: absolute;
  top: 20px;
  left: 20px;
}

.pa-bl {
  position: absolute;
  bottom: 20px;
  left: 20px;
}
